Remove no longer required Java 9 compatibility flags from WildFly integration tests

Description

Some experimentation shows that parameters --add-modules java.xml.bind and the --add-opens=java.base/java.lang=ALL-UNNAMED we still had are no longer needed within WildFly integration tests.

Environment

None

Status

Assignee

Sanne Grinovero

Reporter

Sanne Grinovero

Labels

None

Suitable for new contributors

None

Feedback Requested

None

Priority

Minor